/*	File:		HowToHideApp.r
	
	Description: 
 			This sample illustrates how the SetHideOnSwitch and GetHideOnSwitch
			routines can be used to hide an application.  These routines were first
			documented in Technote TN1102, "Mac OS 8".  On the world wide
			web, documentation for these routines can be found at the address:
			
			http://developer.apple.com/technotes/tn/tn1102.html#processmgr
			
			This file contains the rez declarations used for building the
			HowToHideApp applciation.

	Copyright: 
			Copyright  1999 by Apple Computer, Inc.
			All rights reserved.
	
	Disclaimer:
			You may incorporate this sample code into your applications without
			restriction, though the sample code has been provided "AS IS" and the
			responsibility for its operation is 100% yours.  However, what you are
			not permitted to do is to redistribute the source as "DSC Sample Code"
			after having made changes. If you're going to re-distribute the source,
			we require that you make it clear in the source that the code was
			descended from Apple Sample Code, but that you've made changes.
	
	Change History (most recent first):
			12/6/1999 created
*/

#include "Processes.r"
#include "CodeFragments.r"

include "HowToHideApp.rsrc";

resource 'SIZE' (-1, purgeable)  {
	reserved,
	ignoreSuspendResumeEvents,
	reserved,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	notHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	1024 * 80,
	1024 * 80
};


resource 'cfrg' (0) {
	{	kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"HowToHideApp"
	}
};
